Package de.gebit.integrity.dsl

## Interface CallDefinition

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PackageStatement`
  All Known Implementing Classes:
    `CallDefinitionImpl`

      public interface CallDefinition
      extends PackageStatement

  A representation of the model object 'Call Definition'.

  The following features are supported:

  - `Documentation`
  - `Name`
  - `Fixture Method`
  See Also:
    `DslPackage.getCallDefinition()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DocumentationComment` | `getDocumentation()` | Returns the value of the 'Documentation' containment reference.
    `MethodReference` | `getFixtureMethod()` | Returns the value of the 'Fixture Method' containment reference.
    `String` | `getName()` | Returns the value of the 'Name' attribute.
    `void` | `setDocumentation​(DocumentationComment value)` | Sets the value of the '`Documentation`' containment reference.
    `void` | `setFixtureMethod​(MethodReference value)` | Sets the value of the '`Fixture Method`' containment reference.
    `void` | `setName​(String value)` | Sets the value of the '`Name`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDocumentation

          DocumentationComment getDocumentation()

      Returns the value of the 'Documentation' containment reference.
      Returns:
        the value of the 'Documentation' containment reference.
      See Also:
        `setDocumentation(DocumentationComment)`, `DslPackage.getCallDefinition_Documentation()`

    - #### setDocumentation

          void setDocumentation​(DocumentationComment value)

      Sets the value of the '`Documentation`' containment reference.
      Parameters:
        `value` - the new value of the 'Documentation' containment reference.
      See Also:
        `getDocumentation()`

    - #### getName

          String getName()

      Returns the value of the 'Name' attribute.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `DslPackage.getCallDefinition_Name()`

    - #### setName

          void setName​(String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getFixtureMethod

          MethodReference getFixtureMethod()

      Returns the value of the 'Fixture Method' containment reference.
      Returns:
        the value of the 'Fixture Method' containment reference.
      See Also:
        `setFixtureMethod(MethodReference)`, `DslPackage.getCallDefinition_FixtureMethod()`

    - #### setFixtureMethod

          void setFixtureMethod​(MethodReference value)

      Sets the value of the '`Fixture Method`' containment reference.
      Parameters:
        `value` - the new value of the 'Fixture Method' containment reference.
      See Also:
        `getFixtureMethod()`